#!/bin/bash
#
# Driver for TP-Link TL-WN823N V3  by peacok(swiss) St.Gallen Feb 2024 
# Idee from:
# https://www.sotzny.de/2020/07/22/tp-link-wn823n-v3-mit-schlechtem-empfang-unter-linux-beheben/

# Systemupdate
if [ ! -d "rtl8192eu-linux-driver" ];then
echo '
  Make updates, after a system reboot
  
  you must restart the install script, after reboot

'
read -n 1 a
sudo apt update
sudo apt -y upgrade
sudo apt -y install git build-essential dkms
git clone https://github.com/Mange/rtl8192eu-linux-driver
sudo sync
systemctl reboot
fi

# Installation
sudo apt -y install linux-headers-generic
cd rtl8192eu-linux-driver
sudo dkms add .
sudo dkms install rtl8192eu/$(cat dkms.conf | grep PACKAGE_VERSION | cut -d \" -f 2)
echo "blacklist rtl8xxxu" | sudo tee /etc/modprobe.d/rtl8xxxu.conf
if [ -z "$(cat /etc/modules | grep 8192)" ];then
	echo -e "\n8192eu" >> /etc/modules
fi
echo "options 8192eu rtw_power_mgnt=0 rtw_enusbss=0" | sudo tee /etc/modprobe.d/8192eu.conf
sudo update-grub; sudo update-initramfs -u
sudo sync
systemctl reboot
